Bug 154202 - Eliminate the need for WTFCrashImpl().
Summary: Eliminate the need for WTFCrashImpl().
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Lam
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-12 16:11 PST by Mark Lam
Modified: 2016-02-15 09:22 PST (History)
8 users (show)

See Also:


Attachments
proposed patch. (5.74 KB, patch)
2016-02-12 16:25 PST, Mark Lam
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Lam 2016-02-12 16:11:23 PST
Patch coming.
Comment 1 Mark Lam 2016-02-12 16:25:14 PST
Created attachment 271243 [details]
proposed patch.
Comment 2 WebKit Commit Bot 2016-02-12 17:02:56 PST
Attachment 271243 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/Assertions.h:245:  Multi line control clauses should use braces.  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Assertions.h:252:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 2 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Alexey Proskuryakov 2016-02-13 13:52:10 PST
Comment on attachment 271243 [details]
proposed patch.

I'm also marking this cq+, so that it lands ASAP. The change in crash signatures due to WTFCrashImpl is a huge problem, so if this doesn't work, we'll just need to roll out the whole set of patches.
Comment 4 WebKit Commit Bot 2016-02-13 14:39:53 PST
Comment on attachment 271243 [details]
proposed patch.

Clearing flags on attachment: 271243

Committed r196554: <http://trac.webkit.org/changeset/196554>
Comment 5 WebKit Commit Bot 2016-02-13 14:39:58 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Csaba Osztrogonác 2016-02-14 00:03:00 PST
It broke the Wincairo build, cc-ing port maintainers.
Comment 7 Mark Lam 2016-02-15 09:18:58 PST
(In reply to comment #6)
> It broke the Wincairo build, cc-ing port maintainers.

Ossy, any details on the breakage?  What is the error message?  Thanks.
Comment 8 Alex Christensen 2016-02-15 09:22:35 PST
https://build.webkit.org/builders/WinCairo%2064-Bit%20Release/builds/53937/steps/compile-webkit/logs/stdio

Not a problem with this patch.  I think the forwarding headers from WTF are being copied pre-link instead of pre-build when using Ninja instead of Visual Studio to drive the build.  I'll need to look into this, but this is not a problem with this patch.